const state = {
  token: '',
  info: {},
  menuInfo: {},//菜单点击数据
  tabList:[], //tab页存储
  tabIndex:0, //tab页的坐标
}
const getters = {
  getToken: state => state.token,
  getUserInfo: state => state.info,
  getMenuInfo: state => state.menuInfo,
  getTabList:state=>state.tabList,
  getTabIndex:state=>state.tabIndex,
}
const mutations = {
  SET_USER_TOKEN(state, token) {
    state.token = token
  },
  SET_USER_INFO(state, info) {
    state.info = info
  },
  SET_USER_AVATAR(state, info) {
    state.info.avatar = info
  },
  RESET_TOKEN() {
    state.token = ''
  },
  SET_MENUINFO(state, menuInfo) {
    state.menuInfo = menuInfo
  },
  SET_TABLIST(state, tabList) {
    state.tabList = tabList
  },
  SET_TABINDEX(state,index){
    state.tabIndex=index
  },
  REMOVETAB(state,tabname){
    state.tabList.forEach((element,index) => {
      if(element.name==tabname){
        state.tabIndex--
        state.tabList.splice(index,1)
      }
    });
  },
  CLEAR(state){
    state.tabList=[],
    state.menuInfo={},
    state.info={},
    state.token = '',
    state.tabIndex=0
  }
}
export default {
  state,
  getters,
  mutations
}
